system-config-printer.py crashed with AttributeError in fillDriverList(): 'NoneType' object has no attribute 'getInfoFromModel'

Bug #742409 reported by Augusto on 2011-03-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: system-config-printer

While looking to change a printer driver this messaged popped up.
Description: Ubuntu Natty (development branch)
Release: 11.04

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: system-config-printer-gnome 1.3.1+20110222-0ubuntu10
ProcVersionSignature: Ubuntu 2.6.38-7.38-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
Architecture: i386
CupsErrorLog: E [25/Mar/2011:10:56:23 +0000] Avahi client failed, closing client to allow a clean restart
Date: Fri Mar 25 12:14:53 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
InterpreterPath: /usr/bin/python2.7
Lpstat:
 device for Deslandes: ipp://localhost:8899/printers/deslandes
 device for Hewlett-Packard-HP-LaserJet-1022: dnssd://Hewlett-Packard%20HP%20LaserJet%201022._pdl-datastream._tcp.local/
 device for HP-LaserJet-2430: hp:/net/hp_LaserJet_2430?zc=NPID5A32B
 device for Photosmart-C4600-series: hp:/usb/Photosmart_C4600_series?serial=CN01GGB1DZ05G0
MachineType: Dell Inc. Latitude 13
Papersize: a4
PpdFiles:
 HP-LaserJet-2430: HP LaserJet 2430 Postscript (recommended)
 Photosmart-C4600-series: HP Photosmart c4600 Series hpijs, 3.10.6
 Hewlett-Packard-HP-LaserJet-1022: HP LaserJet 1022 Foomatic/foo2zjs-z1 (recommended)
 Deslandes: Xerox Phaser 8560DN Foomatic/Postscript
ProcCmdline: /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=0fafcb3b-fcb9-4b2a-ba7f-2e1dc79bfd15 ro quiet splash vt.handoff=7
PythonArgs: ['/usr/share/system-config-printer/system-config-printer.py']
SourcePackage: system-config-printer
Title: system-config-printer.py crashed with AttributeError in fillDriverList(): 'NoneType' object has no attribute 'getInfoFromModel'
UpgradeStatus: Upgraded to natty on 2011-03-24 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 08/03/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 067KDW
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd08/03/2010:svnDellInc.:pnLatitude13:pvr:rvnDellInc.:rn067KDW:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude 13
dmi.sys.vendor: Dell Inc.

Augusto (augusto.rendon) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Tim Waugh (twaugh) wrote :

I just committed 50db8e8 in hopes of fixing that.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.1+20110222-0ubuntu13

---------------
system-config-printer (1.3.1+20110222-0ubuntu13) natty; urgency=low

  * debian/patches/53_handle-ppd-load-failure-gracefully.patch,
    debian/patches/55_fix-ppd-load-with-remote-cups-or-without-dbus.patch:
    Upstream fixes on loading the PPD files (LP: #742409).
 -- Till Kamppeter <email address hidden> Wed, 6 Apr 2011 02:56:00 -0800

Changed in system-config-printer (Ubuntu):
status: New → Fix Released
Till Kamppeter (till-kamppeter) wrote :

Tim, thank you for the fix. I have applied it to the Ubuntu package now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers